<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>RecipeService</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecipeService";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.abn.recipe.recipeservice.service</a></div>
<h2 title="Interface RecipeService" class="title">Interface RecipeService</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="RecipeServiceImpl.html" title="class in com.abn.recipe.recipeservice.service">RecipeServiceImpl</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">RecipeService</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(com.abn.recipe.recipeservice.dto.RecipeDto)">add</a></span>&#8203;(<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</code></th>
<td class="colLast">
<div class="block">Provide implementation for adding new Recipe record in database</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#delete(java.lang.Long)">delete</a></span>&#8203;(java.lang.Long&nbsp;recipeId)</code></th>
<td class="colLast">
<div class="block">Provide implementation for removing a Recipe record from database</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#find(java.lang.Long)">find</a></span>&#8203;(java.lang.Long&nbsp;recipeId)</code></th>
<td class="colLast">
<div class="block">Provide implementation for retrieving Recipe from Database</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findAll(org.springframework.data.domain.PageRequest)">findAll</a></span>&#8203;(org.springframework.data.domain.PageRequest&nbsp;pageRequest)</code></th>
<td class="colLast">
<div class="block">Provide implementation for fetching all recipe records</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#search(com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto)">search</a></span>&#8203;(<a href="../dto/RecipeSearchRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeSearchRequestDto</a>&nbsp;searchRequest)</code></th>
<td class="colLast">
<div class="block">Provide implementation for fetching all recipe records matching provided search criteria</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update(com.abn.recipe.recipeservice.dto.RecipeDto)">update</a></span>&#8203;(<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</code></th>
<td class="colLast">
<div class="block">Provide implementation for updating an existing Recipe record in database</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="find(java.lang.Long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>find</h4>
<pre class="methodSignature"><a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;find&#8203;(java.lang.Long&nbsp;recipeId)</pre>
<div class="block">Provide implementation for retrieving Recipe from Database</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>java.util.Set of all <a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto"><code>RecipeDto</code></a></dd>
</dl>
</li>
</ul>
<a id="add(com.abn.recipe.recipeservice.dto.RecipeDto)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">boolean&nbsp;add&#8203;(<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</pre>
<div class="block">Provide implementation for adding new Recipe record in database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recipeDto</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="update(com.abn.recipe.recipeservice.dto.RecipeDto)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">boolean&nbsp;update&#8203;(<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</pre>
<div class="block">Provide implementation for updating an existing Recipe record in database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recipeDto</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="delete(java.lang.Long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre class="methodSignature">boolean&nbsp;delete&#8203;(java.lang.Long&nbsp;recipeId)</pre>
<div class="block">Provide implementation for removing a Recipe record from database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recipeId</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="findAll(org.springframework.data.domain.PageRequest)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findAll</h4>
<pre class="methodSignature"><a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a>&nbsp;findAll&#8203;(org.springframework.data.domain.PageRequest&nbsp;pageRequest)</pre>
<div class="block">Provide implementation for fetching all recipe records</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pageRequest</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of <a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto"><code>RecipeDto</code></a></dd>
</dl>
</li>
</ul>
<a id="search(com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>search</h4>
<pre class="methodSignature"><a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a>&nbsp;search&#8203;(<a href="../dto/RecipeSearchRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeSearchRequestDto</a>&nbsp;searchRequest)</pre>
<div class="block">Provide implementation for fetching all recipe records matching provided search criteria</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searchRequest</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
